Skip to main content
GET
/
v1
/
dnd_numbers
List DND numbers
curl --request GET \
  --url https://api.osvi.ai/v1/dnd_numbers \
  --header 'API-Token: <api-key>'
{
  "success": true,
  "data": [
    {
      "id": 31,
      "agent_uuid": "agent_IsZ3Q6Sf_60Eh26XQMGbz-R_og",
      "phone": "+919876543210",
      "reason": "customer opted out",
      "created_at": "2026-06-12T09:30:00+05:30"
    }
  ],
  "meta": {
    "current_page": 1,
    "total_pages": 4,
    "total_count": 87,
    "per_page": 25
  }
}

Authorizations

API-Token
string
header
required

16-character API token associated with your OSVI account. Find it in your dashboard under Settings → API.

Query Parameters

agent_uuid
string
required

Partial match on the phone number.

page
integer
default:1
per_page
integer
default:25

Results per page (max 100).

Response

Paginated DND entries.

success
boolean
Example:

true

data
object[]
meta
object

Pagination metadata. per_page is capped at 100.